Get All Clients

The retrieve route is responsible for fetching information about a specific client.

🚧

Attention point:

With this route you can retrieve all your clients.

Response

Http CodeReturn CodeMessage
200200-01Success.
400400-01Something unexpected happened.
400400-02Invalid hash.
401401-05Unauthorized or token invalid
429429-01Too many requests

Response Parameters

ParameterFormatDescription
request_codestringRequest code made.
returnbooleanIndicates if the request was successful.
return_codestringReturn code of the request.
messagestringMessage indicating the reason for the response.
dataobjectObject containing additional information.
data.codestringCode associated with the client.
data.type_peoplestringType of person (PF or PJ).
data.documentstringClient's identification document.
data.namestringClient's name.
data.telephonestringClient's telephone number.
data.emailstringClient's email address.
data.mother_namestringClient's mother's name.
data.birth_datestringClient's date of birth.
data.genderstringClient's gender (1 for male, 2 for female).

Request Parameters

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!